ARM_DRAIN_WRITEBUF(2) | System Calls Manual (arm) | ARM_DRAIN_WRITEBUF(2)

# NAME

arm_drain_writebuf — drains the CPU write buffer

# LIBRARY

ARM Architecture Library (libarm, -larm)

# SYNOPSIS

#include <machine/sysarch.h>
int
arm_drain_writebuf();

# DESCRIPTION

arm_drain_writebuf() will make sure that all the entries in the processor write buffer are written out to memory.
Not all processors support this operation (currently only the SA110). Those processes that do not treat this function as a null-op.

# ERRORS

arm_drain_writebuf() will never fail so will always return 0.

# REFERENCES

StrongARM Data Sheet

March 29, 2002 | NetBSD 8.2